Bug 130938 - (NFSV4) kernel oops in nfsd4_encode_lock_denied
(NFSV4) kernel oops in nfsd4_encode_lock_denied
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-25 17:25 EDT by Carl-Johan Kjellander
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-27 15:32:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Carl-Johan Kjellander 2004-08-25 17:25:08 EDT
Description of problem:
Got a kernel oops upon login in with home on xfs on lvm2 over
nfsv4.

Version-Release number of selected component (if applicable):
kernel-2.6.7-1.494.2.2

Unable to handle kernel NULL pointer dereference at virtual address
00000044
 printing eip:
4377ba16
*pde = 00000000
Oops: 0000 [#1]
Modules linked in: loop snd_pcm_oss snd_mixer_oss snd_via82xx
snd_ac97_codec sndCPU:    0
EIP:    0060:[<4377ba16>]    Not tainted
EFLAGS: 00010206   (2.6.7-1.494.2.2)
EIP is at nfsd4_encode_lock_denied+0x11/0xdd [nfsd]
eax: 00000000   ebx: 3cf06038   ecx: 367f8928   edx: 367f8000
esi: 367f8920   edi: 3cf06034   ebp: 367f896c   esp: 367f0ecc
ds: 007b   es: 007b   ss: 0068
Process nfsd (pid: 2486, threadinfo=367f0000 task=36005230)
Stack: 367f8000 3cf06038 367f8920 3cf06034 1a270000 4377bb50 367f8928
367f8000
       367f8000 367f8920 3cf06034 367f8920 4377c9b1 3a878960 367f7070
367f8000
       4377807f 00000005 00000078 00000001 41e3cc2c 3a878b60 3a878960
3a878b60
Call Trace:
 [<4377bb50>] nfsd4_encode_lock+0x6e/0xf8 [nfsd]
 [<4377c9b1>] nfsd4_encode_operation+0xb2/0x163 [nfsd]
 [<4377807f>] nfsd4_proc_compound+0xedb/0xf3b [nfsd]
 [<4377a62b>] nfsd4_decode_compound+0x239/0x381 [nfsd]
 [<4377cb62>] nfs4svc_decode_compoundargs+0x0/0x50 [nfsd]
 [<4377cb62>] nfs4svc_decode_compoundargs+0x0/0x50 [nfsd]
 [<43769a20>] nfsd_dispatch+0xbf/0x163 [nfsd]
 [<43703bb1>] svc_process+0x323/0x562 [sunrpc]
 [<43769683>] nfsd+0x3ae/0x68c [nfsd]
 [<437692d5>] nfsd+0x0/0x68c [nfsd]
 [<021041d9>] kernel_thread_helper+0x5/0xb
Code: 8b 40 44 83 c0 03 83 e0 fc 8d 44 03 20 3b 42 04 76 08 0f 0b

I'll try to reproduce it with the latest kernel.
Comment 1 Steve Dickson 2004-08-26 09:21:35 EDT
On Thu, Aug 26, 2004 at 01:21:31AM +0200, Carl-Johan Kjellander wrote:

>> I got a kernel oops running nfsv4 today. All the details in redhat's
>> bugzilla:
>> 
>> https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=130938


The lock_denied oops should be fixed in 2.6.8-rc4-CITI_NFS4_ALL-3 (in
particular, by
http://www.citi.umich.edu/projects/nfsv4/linux/kernel-patches/2.6.8-rc4-3/linux-2.6.8-rc4-15-nfsd4_lock_denied_fix.dif.)

That also requires the lock fixes that Trond just got into 2.6.9-rc1.
We should submit it today or tommorow.--Bruce Fields

Note You need to log in before you can comment on or make changes to this bug.